//+------------------------------------------------------------------+
//|                                                  Level_cross.mqh |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "220Volt"


#include <Shadow_lib\\1_Direction.mqh>


//+------------------------------------------------------------------+
//| public                                                           |
//+------------------------------------------------------------------+

 // enum Cross_check_ret
//{
      #define level_cross.first_cross_second    0
      #define level_cross.second_cross_first    1 
      #define level_cross.equal                 2              
//};

int cross_check(double first,
                double second)
{
   double price_diff = first - second;
   if(price_diff >= Point)
      return(level_cross.first_cross_second);
   if(price_diff <= -Point)
      return(level_cross.second_cross_first);
   first /= Point;
   second /= Point;
   first = MathRound(first);
   price_diff = first - second;
   if(price_diff > 0.5)
      return(level_cross.first_cross_second);
   if(price_diff < -0.5)
      return(level_cross.second_cross_first);
   return(level_cross.equal);
}

int cross_checkD(double first,
                 double second,
                 int direction)
{
   if(direction == direction.UP)
      return( cross_check(first, second) );
   else
      return( cross_check(second, first) );
}